package visitor;

import java.util.Set;
import java.util.TreeSet;

public class Database {

    private final Set<Student> students;

    public Database() {
        this.students = new TreeSet<>();
    }

    public void visit(VisitorStudent v) {
        for (Student s : students) {
            s.accept(v);
        }
    }

    public void register(Student s) {
        students.add(s);
    }

    @Override
    public String toString() {
        return "Database{" +
                "students=" + students +
                '}';
    }
}
